Get commission history
curl --request GET \
--url https://app.mlm-platform.com/api/v1/members/{userId}/commissions \
--header 'x-tenant-api-key: <api-key>'import requests
url = "https://app.mlm-platform.com/api/v1/members/{userId}/commissions"
headers = {"x-tenant-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-tenant-api-key': '<api-key>'}};
fetch('https://app.mlm-platform.com/api/v1/members/{userId}/commissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"commissions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"level": 123,
"sourceUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceUserEmail": "<string>",
"sourceType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNext": true,
"hasPrev": true
}
}Member APIs
Get commission history
Returns paginated commission history for a member.
GET
/
api
/
v1
/
members
/
{userId}
/
commissions
Get commission history
Authorizations
Tenant API key for authentication
Path Parameters
Query Parameters
Required range:
x <= 100Available options:
PENDING, CLEARED, PROCESSING, PAID ⌘I